CDN77 API reference

List of data centers

Gethttps://api.cdn77.com/v3/cdn/{id}/datacenters

Request parameters

  • idinteger in pathrequired

Responses

List of datacenters for CDN Resource.

Response parameters

  • location_idstring, format UUIDv4
    ID of Location. More information in our Datacenter API documentation.
  • citystring
  • continent_codestring
    We recognize 8 continents specified with two letter Continent code.

    Available values: AF, AQ, AS, AU, EU, NA, OC, SA

  • countrystring
    Datacenter location country name.
  • country_isostring
    Datacenter location country ISO code.
  • is_enabledboolean
    Enabled status of the datacenter location.
  • latitudenumber
  • longitudenumber
  • typestring
    Data center location type: "full" for Super PoPs, "cache" for Embedded PoPs.

    Available values: cache, full

Example of the response
[
  {
    "location_id": "a89cc58b-434b-4b6a-9d04-05e4cdfb204d",
    "city": "Los Angeles",
    "continent_code": "EU",
    "country": "Germany",
    "country_iso": "DE",
    "is_enabled": true,
    "latitude": 48.5833,
    "longitude": 7.75,
    "type": "full"
  }
]